package org.exoplatform.cs.service.tickets;

import org.exoplatform.container.component.BaseComponentPlugin;
import org.exoplatform.container.xml.InitParams;
import org.exoplatform.container.xml.ObjectParameter;

/**
 * Created by IntelliJ IDEA.
 * User: ali
 * Date: 28/12/16
 * Time: 16:45
 */
public class FlowPlugin extends BaseComponentPlugin {

  private FlowConfig flowConfig;

  public FlowConfig getFlowConfig() {
    return flowConfig;
  }

  public void setFlowConfig(FlowConfig flowConfig) {
    this.flowConfig = flowConfig;
  }

  public FlowPlugin(InitParams params) {
    ObjectParameter param = params.getObjectParam("flow");

    if (param != null) {
      flowConfig = (FlowConfig) param.getObject();
    }
  }
}
